<?php
	$target_dir = "uploads/";
	$target_file = $target_dir . basename($_FILES["file"]["name"]);
	$uploadOk = 1;
	$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);

	echo '<!doctype html>';
	echo '<html>';
	echo '<head>';
	echo '<meta charset="utf-8"/>';
	echo '<title>Gestion des Médias</title>';
	echo '<link rel="shortcut icon" type="image/x-icon" href="../mmd/favicon.ico"/>';
	echo '</head>';
	echo '<body style="background: url(../mmd/background.jpg) no-repeat center center fixed;background-size: cover;text-align: center;">';

	// On check si le fichier existe bien !
	if (file_exists($target_file)) {
		echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Désolé, le fichier n\'existe pas !</p>';
		$uploadOk = 0;
	}

	// Ici on check si on a une vrai image et pas un fake !
	if(isset($_POST["submit"])) {
		$check = getimagesize($_FILES["file"]["tmp_name"]);
		if($check !== false) {
			$uploadOk = 1;
		} 
		else {
			echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Désolé, le fichier n\'est pas une image !</p>';
			$uploadOk = 0;
		}
	}

	// On check la taille de l'image
	if ($_FILES["file"]["size"] > 500000) {
		echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Désolé, votre image est trop grande !</p>';
		$uploadOk = 0;
	}
	// On gère l'extension des images pour pas avoir de la merde
	if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
	&& $imageFileType != "gif" ) {
		echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Désolé, les extensions acceptées sont: JPG, JPEG, PNG & GIF.</p>';
		$uploadOk = 0;
	}

	// si $uploadOk == 0 alors il s'est produit une erreur ci-dessus
	if ($uploadOk == 0) {
		echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Désolé, votre fichier n\' pas pu être envoyé !</p>';
	//Si tout est ok on upload le fichier
	} 
	else {
		if (move_uploaded_file($_FILES["file"]["tmp_name"], $target_file)) {
			// connexion à la base
			$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
			// sélection de la base  
			mysql_select_db('smartpassTest2',$db)  or die('Erreur de selection '.mysql_error()); 
				// requète préalable pour recupérer l'id max
			$result = mysql_query('SELECT MAX(id) FROM photos', $db);

			// récuperation de l'id max et ajout de 1 (aucune confusion si l'on supprime un id)
			while($ligne = mysql_fetch_array($result)) {
				$num_rows = $ligne[0]+1;
			}
	
			$sql = 'INSERT INTO photos (id,id_point,file) VALUES ('.$num_rows.','.$_POST['point'].',"'.$target_file.'")';
		
			mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
			mysql_close();  // on ferme la connexion 
			
			echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Le fichier '. basename( $_FILES["file"]["name"]).' a bien été envoyé !</p>';
			
			header("Refresh: 2; URL=http://smart-pass.fr/admin/mediaManager");
		
		} 
		else { // erreur fatale
			echo '<p style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 25px; margin: 20px;">Désolé, une erreur s\'est produite! Veuillez recommencer.</p>';
		}
	}
	echo '</body>';
	echo '</html>';
?>